import { jsx } from "react/jsx-runtime";
import { TokenVLX as TokenVLX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenVLX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "VLX", "data-name": "TokenVLX", ...props, children: /* @__PURE__ */ jsx(TokenVLX$1, { variant }) });
  }
);
TokenVLX.displayName = "TokenVLX";
Object.assign(TokenVLX, { isGdsIcon: true });
export {
  TokenVLX
};
